package com.ruoyi.kyTask.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科研任务对象 ky_task_info
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public class KyTaskInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long key;

    /** 任务号 */
    @Excel(name = "任务号")
    private String taskno;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long modelId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long ywbkid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ywbkname;

    /** 型号id */
    @Excel(name = "型号id")
    private String xhid;

    /** 型号名称 */
    @Excel(name = "型号名称")
    private String xhname;

    /** 责任部门 */
    @Excel(name = "责任部门")
    private String zrbm;

    /** 研制数量 */
    @Excel(name = "研制数量")
    private Long yzsl;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long mjid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String mjname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long fxtid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String fxtname;

    /** 研制阶段id */
    @Excel(name = "研制阶段id")
    private Long yzjdid;

    /** 研制阶段 */
    @Excel(name = "研制阶段")
    private String yzjdname;

    /** 任务来源 */
    @Excel(name = "任务来源")
    private String tcdw;

    /** 任务来源简称 */
    @Excel(name = "任务来源简称")
    private String brief;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String rwnr;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String wcxs;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jylbid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jylbname;

    /** 1：横向 2：纵向 */
    @Excel(name = "1：横向 2：纵向")
    private Long hxzxid;

    /** 横向纵向 */
    @Excel(name = "横向纵向")
    private String hxzxname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jjid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jjname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String wzktid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String wzktname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String bz;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String status;

    /** 计划开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jhkssj;

    /** 计划完成时间（进度要求） */
    @Excel(name = "计划完成时间", readConverterExp = "进=度要求")
    private Date jhwcsj;

    /** 下达部门id */
    @Excel(name = "下达部门id")
    private String jycsid;

    /** 下达部门 */
    @Excel(name = "下达部门")
    private String jycs;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jyfzrid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jyfzrname;

    /** 计划开始时间 */
    @Excel(name = "计划开始时间")
    private String ztdd;

    /** 计划完成时间 */
    @Excel(name = "计划完成时间")
    private String ztddname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sybdd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sybddname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ywfzr;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ywfzrname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zlgcs;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zlgcsname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cpbzr;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cpbzrname;

    /** 实际开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sjkssj;

    /** 实际完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sjwcsj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String avidm;

    /** 任务下达时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任务下达时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lrsj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String xhzzr;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String xhzzrname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String csbh;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ywcs;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ID;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String PNCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String Emergent;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zrbmGuid;

    /** 业务员 */
    @Excel(name = "业务员")
    private String businessMan;

    /** 审计审价 */
    @Excel(name = "审计审价")
    private String auditPrice;

    /** 任务类型 */
    @Excel(name = "任务类型")
    private String tasktype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String tasktypes;

    /** 项目进度 */
    @Excel(name = "项目进度")
    private String processPercent;

    /** 预估价 */
    @Excel(name = "预估价")
    private String estimationCoat;

    /** 任务状态 */
    @Excel(name = "任务状态")
    private String iflag;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date processDate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String processUser;

    /** 父级任务 */
    @Excel(name = "父级任务")
    private String refTaskNo;

    /** 是否需要质保 */
    @Excel(name = "是否需要质保")
    private String warranty;

    /** 质保单位 */
    @Excel(name = "质保单位")
    private String warrantyUnit;

    /** 合同额 */
    @Excel(name = "合同额")
    private String contractLimit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String businessManName;

    /** 批产任务号 */
    @Excel(name = "批产任务号")
    private String pccode;

    /** 备产任务号 */
    @Excel(name = "备产任务号")
    private String bccode;

    /** 备料任务号 */
    @Excel(name = "备料任务号")
    private String blcode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String gdtext;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String contractsign;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String thirdparty;

    /** 考核扣款 */
    @Excel(name = "考核扣款")
    private String khkk;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String currenttask;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String isunittestproject;

    /** 管控等级 */
    @Excel(name = "管控等级")
    private String gkdj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zjname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zhuazhorgidname;

    /** 任务分类 */
    @Excel(name = "任务分类")
    private String specialtask;

    /** 主任务编号 */
    @Excel(name = "主任务编号")
    private String mainprojectno;

    /** 合同乙方 */
    @Excel(name = "合同乙方")
    private String htyf;

    /** 是否决算 */
    @Excel(name = "是否决算")
    private String isjues;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String projectaccountno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String projectgatherno;

    /** 基线编号 */
    @Excel(name = "基线编号")
    private String jxno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String issendtogongchzhx;

    /** 应用部位 */
    @Excel(name = "应用部位")
    private String application;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String pay;

    /** 评测方 */
    @Excel(name = "评测方")
    private String reviewer;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String softwaretype1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String software;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String foreigntrade;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String jfqk;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String wzsbno;

    /** 产品规格 */
    @Excel(name = "产品规格")
    private String productspec;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String name;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String briefname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String processpercent1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String estimationcoat1;

    /** 物资计划员 */
    @Excel(name = "物资计划员")
    private String wzjhyname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String warrantybasis;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String costprice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String isbaox;

    /** 软件类型 */
    @Excel(name = "软件类型")
    private String softwaretype;

    /** 有无软件 */
    @Excel(name = "有无软件")
    private String ishavesoftware;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String completeremark;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String exampletest;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String taskarea;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String fundsfrom;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String examplequantity;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String invoicetype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String cbgcsname;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String producttype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date completeremarkdatetime;

    public void setKey(Long key) 
    {
        this.key = key;
    }

    public Long getKey() 
    {
        return key;
    }
    public void setTaskno(String taskno) 
    {
        this.taskno = taskno;
    }

    public String getTaskno() 
    {
        return taskno;
    }
    public void setTaskname(String taskname) 
    {
        this.taskname = taskname;
    }

    public String getTaskname() 
    {
        return taskname;
    }
    public void setModelId(Long modelId) 
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }
    public void setYwbkid(Long ywbkid) 
    {
        this.ywbkid = ywbkid;
    }

    public Long getYwbkid() 
    {
        return ywbkid;
    }
    public void setYwbkname(String ywbkname) 
    {
        this.ywbkname = ywbkname;
    }

    public String getYwbkname() 
    {
        return ywbkname;
    }
    public void setXhid(String xhid) 
    {
        this.xhid = xhid;
    }

    public String getXhid() 
    {
        return xhid;
    }
    public void setXhname(String xhname) 
    {
        this.xhname = xhname;
    }

    public String getXhname() 
    {
        return xhname;
    }
    public void setZrbm(String zrbm) 
    {
        this.zrbm = zrbm;
    }

    public String getZrbm() 
    {
        return zrbm;
    }
    public void setYzsl(Long yzsl) 
    {
        this.yzsl = yzsl;
    }

    public Long getYzsl() 
    {
        return yzsl;
    }
    public void setMjid(Long mjid) 
    {
        this.mjid = mjid;
    }

    public Long getMjid() 
    {
        return mjid;
    }
    public void setMjname(String mjname) 
    {
        this.mjname = mjname;
    }

    public String getMjname() 
    {
        return mjname;
    }
    public void setFxtid(Long fxtid) 
    {
        this.fxtid = fxtid;
    }

    public Long getFxtid() 
    {
        return fxtid;
    }
    public void setFxtname(String fxtname) 
    {
        this.fxtname = fxtname;
    }

    public String getFxtname() 
    {
        return fxtname;
    }
    public void setYzjdid(Long yzjdid) 
    {
        this.yzjdid = yzjdid;
    }

    public Long getYzjdid() 
    {
        return yzjdid;
    }
    public void setYzjdname(String yzjdname) 
    {
        this.yzjdname = yzjdname;
    }

    public String getYzjdname() 
    {
        return yzjdname;
    }
    public void setTcdw(String tcdw) 
    {
        this.tcdw = tcdw;
    }

    public String getTcdw() 
    {
        return tcdw;
    }
    public void setBrief(String brief) 
    {
        this.brief = brief;
    }

    public String getBrief() 
    {
        return brief;
    }
    public void setRwnr(String rwnr) 
    {
        this.rwnr = rwnr;
    }

    public String getRwnr() 
    {
        return rwnr;
    }
    public void setWcxs(String wcxs) 
    {
        this.wcxs = wcxs;
    }

    public String getWcxs() 
    {
        return wcxs;
    }
    public void setJylbid(String jylbid) 
    {
        this.jylbid = jylbid;
    }

    public String getJylbid() 
    {
        return jylbid;
    }
    public void setJylbname(String jylbname) 
    {
        this.jylbname = jylbname;
    }

    public String getJylbname() 
    {
        return jylbname;
    }
    public void setHxzxid(Long hxzxid) 
    {
        this.hxzxid = hxzxid;
    }

    public Long getHxzxid() 
    {
        return hxzxid;
    }
    public void setHxzxname(String hxzxname) 
    {
        this.hxzxname = hxzxname;
    }

    public String getHxzxname() 
    {
        return hxzxname;
    }
    public void setJjid(String jjid) 
    {
        this.jjid = jjid;
    }

    public String getJjid() 
    {
        return jjid;
    }
    public void setJjname(String jjname) 
    {
        this.jjname = jjname;
    }

    public String getJjname() 
    {
        return jjname;
    }
    public void setWzktid(String wzktid) 
    {
        this.wzktid = wzktid;
    }

    public String getWzktid() 
    {
        return wzktid;
    }
    public void setWzktname(String wzktname) 
    {
        this.wzktname = wzktname;
    }

    public String getWzktname() 
    {
        return wzktname;
    }
    public void setBz(String bz) 
    {
        this.bz = bz;
    }

    public String getBz() 
    {
        return bz;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setJhkssj(Date jhkssj) 
    {
        this.jhkssj = jhkssj;
    }

    public Date getJhkssj() 
    {
        return jhkssj;
    }
    public void setJhwcsj(Date jhwcsj) 
    {
        this.jhwcsj = jhwcsj;
    }

    public Date getJhwcsj() 
    {
        return jhwcsj;
    }
    public void setJycsid(String jycsid) 
    {
        this.jycsid = jycsid;
    }

    public String getJycsid() 
    {
        return jycsid;
    }
    public void setJycs(String jycs) 
    {
        this.jycs = jycs;
    }

    public String getJycs() 
    {
        return jycs;
    }
    public void setJyfzrid(String jyfzrid) 
    {
        this.jyfzrid = jyfzrid;
    }

    public String getJyfzrid() 
    {
        return jyfzrid;
    }
    public void setJyfzrname(String jyfzrname) 
    {
        this.jyfzrname = jyfzrname;
    }

    public String getJyfzrname() 
    {
        return jyfzrname;
    }
    public void setZtdd(String ztdd) 
    {
        this.ztdd = ztdd;
    }

    public String getZtdd() 
    {
        return ztdd;
    }
    public void setZtddname(String ztddname) 
    {
        this.ztddname = ztddname;
    }

    public String getZtddname() 
    {
        return ztddname;
    }
    public void setSybdd(String sybdd) 
    {
        this.sybdd = sybdd;
    }

    public String getSybdd() 
    {
        return sybdd;
    }
    public void setSybddname(String sybddname) 
    {
        this.sybddname = sybddname;
    }

    public String getSybddname() 
    {
        return sybddname;
    }
    public void setYwfzr(String ywfzr) 
    {
        this.ywfzr = ywfzr;
    }

    public String getYwfzr() 
    {
        return ywfzr;
    }
    public void setYwfzrname(String ywfzrname) 
    {
        this.ywfzrname = ywfzrname;
    }

    public String getYwfzrname() 
    {
        return ywfzrname;
    }
    public void setZlgcs(String zlgcs) 
    {
        this.zlgcs = zlgcs;
    }

    public String getZlgcs() 
    {
        return zlgcs;
    }
    public void setZlgcsname(String zlgcsname) 
    {
        this.zlgcsname = zlgcsname;
    }

    public String getZlgcsname() 
    {
        return zlgcsname;
    }
    public void setCpbzr(String cpbzr) 
    {
        this.cpbzr = cpbzr;
    }

    public String getCpbzr() 
    {
        return cpbzr;
    }
    public void setCpbzrname(String cpbzrname) 
    {
        this.cpbzrname = cpbzrname;
    }

    public String getCpbzrname() 
    {
        return cpbzrname;
    }
    public void setSjkssj(Date sjkssj) 
    {
        this.sjkssj = sjkssj;
    }

    public Date getSjkssj() 
    {
        return sjkssj;
    }
    public void setSjwcsj(Date sjwcsj) 
    {
        this.sjwcsj = sjwcsj;
    }

    public Date getSjwcsj() 
    {
        return sjwcsj;
    }
    public void setAvidm(String avidm) 
    {
        this.avidm = avidm;
    }

    public String getAvidm() 
    {
        return avidm;
    }
    public void setLrsj(Date lrsj) 
    {
        this.lrsj = lrsj;
    }

    public Date getLrsj() 
    {
        return lrsj;
    }
    public void setXhzzr(String xhzzr) 
    {
        this.xhzzr = xhzzr;
    }

    public String getXhzzr() 
    {
        return xhzzr;
    }
    public void setXhzzrname(String xhzzrname) 
    {
        this.xhzzrname = xhzzrname;
    }

    public String getXhzzrname() 
    {
        return xhzzrname;
    }
    public void setCsbh(String csbh) 
    {
        this.csbh = csbh;
    }

    public String getCsbh() 
    {
        return csbh;
    }
    public void setYwcs(String ywcs) 
    {
        this.ywcs = ywcs;
    }

    public String getYwcs() 
    {
        return ywcs;
    }
    public void setID(String ID) 
    {
        this.ID = ID;
    }

    public String getID() 
    {
        return ID;
    }
    public void setPNCode(String PNCode) 
    {
        this.PNCode = PNCode;
    }

    public String getPNCode() 
    {
        return PNCode;
    }
    public void setEmergent(String Emergent) 
    {
        this.Emergent = Emergent;
    }

    public String getEmergent() 
    {
        return Emergent;
    }
    public void setZrbmGuid(String zrbmGuid) 
    {
        this.zrbmGuid = zrbmGuid;
    }

    public String getZrbmGuid() 
    {
        return zrbmGuid;
    }
    public void setBusinessMan(String businessMan) 
    {
        this.businessMan = businessMan;
    }

    public String getBusinessMan() 
    {
        return businessMan;
    }
    public void setAuditPrice(String auditPrice) 
    {
        this.auditPrice = auditPrice;
    }

    public String getAuditPrice() 
    {
        return auditPrice;
    }
    public void setTasktype(String tasktype) 
    {
        this.tasktype = tasktype;
    }

    public String getTasktype() 
    {
        return tasktype;
    }
    public void setTasktypes(String tasktypes) 
    {
        this.tasktypes = tasktypes;
    }

    public String getTasktypes() 
    {
        return tasktypes;
    }
    public void setProcessPercent(String processPercent) 
    {
        this.processPercent = processPercent;
    }

    public String getProcessPercent() 
    {
        return processPercent;
    }
    public void setEstimationCoat(String estimationCoat) 
    {
        this.estimationCoat = estimationCoat;
    }

    public String getEstimationCoat() 
    {
        return estimationCoat;
    }
    public void setIflag(String iflag) 
    {
        this.iflag = iflag;
    }

    public String getIflag() 
    {
        return iflag;
    }
    public void setProcessDate(Date processDate) 
    {
        this.processDate = processDate;
    }

    public Date getProcessDate() 
    {
        return processDate;
    }
    public void setProcessUser(String processUser) 
    {
        this.processUser = processUser;
    }

    public String getProcessUser() 
    {
        return processUser;
    }
    public void setRefTaskNo(String refTaskNo) 
    {
        this.refTaskNo = refTaskNo;
    }

    public String getRefTaskNo() 
    {
        return refTaskNo;
    }
    public void setWarranty(String warranty) 
    {
        this.warranty = warranty;
    }

    public String getWarranty() 
    {
        return warranty;
    }
    public void setWarrantyUnit(String warrantyUnit) 
    {
        this.warrantyUnit = warrantyUnit;
    }

    public String getWarrantyUnit() 
    {
        return warrantyUnit;
    }
    public void setContractLimit(String contractLimit) 
    {
        this.contractLimit = contractLimit;
    }

    public String getContractLimit() 
    {
        return contractLimit;
    }
    public void setBusinessManName(String businessManName) 
    {
        this.businessManName = businessManName;
    }

    public String getBusinessManName() 
    {
        return businessManName;
    }
    public void setPccode(String pccode) 
    {
        this.pccode = pccode;
    }

    public String getPccode() 
    {
        return pccode;
    }
    public void setBccode(String bccode) 
    {
        this.bccode = bccode;
    }

    public String getBccode() 
    {
        return bccode;
    }
    public void setBlcode(String blcode) 
    {
        this.blcode = blcode;
    }

    public String getBlcode() 
    {
        return blcode;
    }
    public void setGdtext(String gdtext) 
    {
        this.gdtext = gdtext;
    }

    public String getGdtext() 
    {
        return gdtext;
    }
    public void setContractsign(String contractsign) 
    {
        this.contractsign = contractsign;
    }

    public String getContractsign() 
    {
        return contractsign;
    }
    public void setThirdparty(String thirdparty) 
    {
        this.thirdparty = thirdparty;
    }

    public String getThirdparty() 
    {
        return thirdparty;
    }
    public void setKhkk(String khkk) 
    {
        this.khkk = khkk;
    }

    public String getKhkk() 
    {
        return khkk;
    }
    public void setCurrenttask(String currenttask) 
    {
        this.currenttask = currenttask;
    }

    public String getCurrenttask() 
    {
        return currenttask;
    }
    public void setIsunittestproject(String isunittestproject) 
    {
        this.isunittestproject = isunittestproject;
    }

    public String getIsunittestproject() 
    {
        return isunittestproject;
    }
    public void setGkdj(String gkdj) 
    {
        this.gkdj = gkdj;
    }

    public String getGkdj() 
    {
        return gkdj;
    }
    public void setZjname(String zjname) 
    {
        this.zjname = zjname;
    }

    public String getZjname() 
    {
        return zjname;
    }
    public void setZhuazhorgidname(String zhuazhorgidname) 
    {
        this.zhuazhorgidname = zhuazhorgidname;
    }

    public String getZhuazhorgidname() 
    {
        return zhuazhorgidname;
    }
    public void setSpecialtask(String specialtask) 
    {
        this.specialtask = specialtask;
    }

    public String getSpecialtask() 
    {
        return specialtask;
    }
    public void setMainprojectno(String mainprojectno) 
    {
        this.mainprojectno = mainprojectno;
    }

    public String getMainprojectno() 
    {
        return mainprojectno;
    }
    public void setHtyf(String htyf) 
    {
        this.htyf = htyf;
    }

    public String getHtyf() 
    {
        return htyf;
    }
    public void setIsjues(String isjues) 
    {
        this.isjues = isjues;
    }

    public String getIsjues() 
    {
        return isjues;
    }
    public void setProjectaccountno(String projectaccountno) 
    {
        this.projectaccountno = projectaccountno;
    }

    public String getProjectaccountno() 
    {
        return projectaccountno;
    }
    public void setProjectgatherno(String projectgatherno) 
    {
        this.projectgatherno = projectgatherno;
    }

    public String getProjectgatherno() 
    {
        return projectgatherno;
    }
    public void setJxno(String jxno) 
    {
        this.jxno = jxno;
    }

    public String getJxno() 
    {
        return jxno;
    }
    public void setIssendtogongchzhx(String issendtogongchzhx) 
    {
        this.issendtogongchzhx = issendtogongchzhx;
    }

    public String getIssendtogongchzhx() 
    {
        return issendtogongchzhx;
    }
    public void setApplication(String application) 
    {
        this.application = application;
    }

    public String getApplication() 
    {
        return application;
    }
    public void setPay(String pay) 
    {
        this.pay = pay;
    }

    public String getPay() 
    {
        return pay;
    }
    public void setReviewer(String reviewer) 
    {
        this.reviewer = reviewer;
    }

    public String getReviewer() 
    {
        return reviewer;
    }
    public void setSoftwaretype1(String softwaretype1) 
    {
        this.softwaretype1 = softwaretype1;
    }

    public String getSoftwaretype1() 
    {
        return softwaretype1;
    }
    public void setSoftware(String software) 
    {
        this.software = software;
    }

    public String getSoftware() 
    {
        return software;
    }
    public void setForeigntrade(String foreigntrade) 
    {
        this.foreigntrade = foreigntrade;
    }

    public String getForeigntrade() 
    {
        return foreigntrade;
    }
    public void setJfqk(String jfqk) 
    {
        this.jfqk = jfqk;
    }

    public String getJfqk() 
    {
        return jfqk;
    }
    public void setWzsbno(String wzsbno) 
    {
        this.wzsbno = wzsbno;
    }

    public String getWzsbno() 
    {
        return wzsbno;
    }
    public void setProductspec(String productspec) 
    {
        this.productspec = productspec;
    }

    public String getProductspec() 
    {
        return productspec;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setBriefname(String briefname) 
    {
        this.briefname = briefname;
    }

    public String getBriefname() 
    {
        return briefname;
    }
    public void setProcesspercent1(String processpercent1) 
    {
        this.processpercent1 = processpercent1;
    }

    public String getProcesspercent1() 
    {
        return processpercent1;
    }
    public void setEstimationcoat1(String estimationcoat1) 
    {
        this.estimationcoat1 = estimationcoat1;
    }

    public String getEstimationcoat1() 
    {
        return estimationcoat1;
    }
    public void setWzjhyname(String wzjhyname) 
    {
        this.wzjhyname = wzjhyname;
    }

    public String getWzjhyname() 
    {
        return wzjhyname;
    }
    public void setWarrantybasis(String warrantybasis) 
    {
        this.warrantybasis = warrantybasis;
    }

    public String getWarrantybasis() 
    {
        return warrantybasis;
    }
    public void setCostprice(String costprice) 
    {
        this.costprice = costprice;
    }

    public String getCostprice() 
    {
        return costprice;
    }
    public void setIsbaox(String isbaox) 
    {
        this.isbaox = isbaox;
    }

    public String getIsbaox() 
    {
        return isbaox;
    }
    public void setSoftwaretype(String softwaretype) 
    {
        this.softwaretype = softwaretype;
    }

    public String getSoftwaretype() 
    {
        return softwaretype;
    }
    public void setIshavesoftware(String ishavesoftware) 
    {
        this.ishavesoftware = ishavesoftware;
    }

    public String getIshavesoftware() 
    {
        return ishavesoftware;
    }
    public void setCompleteremark(String completeremark) 
    {
        this.completeremark = completeremark;
    }

    public String getCompleteremark() 
    {
        return completeremark;
    }
    public void setZj(String zj) 
    {
        this.zj = zj;
    }

    public String getZj() 
    {
        return zj;
    }
    public void setExampletest(String exampletest) 
    {
        this.exampletest = exampletest;
    }

    public String getExampletest() 
    {
        return exampletest;
    }
    public void setTaskarea(String taskarea) 
    {
        this.taskarea = taskarea;
    }

    public String getTaskarea() 
    {
        return taskarea;
    }
    public void setFundsfrom(String fundsfrom) 
    {
        this.fundsfrom = fundsfrom;
    }

    public String getFundsfrom() 
    {
        return fundsfrom;
    }
    public void setExamplequantity(String examplequantity) 
    {
        this.examplequantity = examplequantity;
    }

    public String getExamplequantity() 
    {
        return examplequantity;
    }
    public void setInvoicetype(String invoicetype) 
    {
        this.invoicetype = invoicetype;
    }

    public String getInvoicetype() 
    {
        return invoicetype;
    }
    public void setCbgcsname(String cbgcsname) 
    {
        this.cbgcsname = cbgcsname;
    }

    public String getCbgcsname() 
    {
        return cbgcsname;
    }
    public void setProducttype(String producttype) 
    {
        this.producttype = producttype;
    }

    public String getProducttype() 
    {
        return producttype;
    }
    public void setCompleteremarkdatetime(Date completeremarkdatetime) 
    {
        this.completeremarkdatetime = completeremarkdatetime;
    }

    public Date getCompleteremarkdatetime() 
    {
        return completeremarkdatetime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("key", getKey())
            .append("taskno", getTaskno())
            .append("taskname", getTaskname())
            .append("modelId", getModelId())
            .append("ywbkid", getYwbkid())
            .append("ywbkname", getYwbkname())
            .append("xhid", getXhid())
            .append("xhname", getXhname())
            .append("zrbm", getZrbm())
            .append("yzsl", getYzsl())
            .append("mjid", getMjid())
            .append("mjname", getMjname())
            .append("fxtid", getFxtid())
            .append("fxtname", getFxtname())
            .append("yzjdid", getYzjdid())
            .append("yzjdname", getYzjdname())
            .append("tcdw", getTcdw())
            .append("brief", getBrief())
            .append("rwnr", getRwnr())
            .append("wcxs", getWcxs())
            .append("jylbid", getJylbid())
            .append("jylbname", getJylbname())
            .append("hxzxid", getHxzxid())
            .append("hxzxname", getHxzxname())
            .append("jjid", getJjid())
            .append("jjname", getJjname())
            .append("wzktid", getWzktid())
            .append("wzktname", getWzktname())
            .append("bz", getBz())
            .append("status", getStatus())
            .append("jhkssj", getJhkssj())
            .append("jhwcsj", getJhwcsj())
            .append("jycsid", getJycsid())
            .append("jycs", getJycs())
            .append("jyfzrid", getJyfzrid())
            .append("jyfzrname", getJyfzrname())
            .append("ztdd", getZtdd())
            .append("ztddname", getZtddname())
            .append("sybdd", getSybdd())
            .append("sybddname", getSybddname())
            .append("ywfzr", getYwfzr())
            .append("ywfzrname", getYwfzrname())
            .append("zlgcs", getZlgcs())
            .append("zlgcsname", getZlgcsname())
            .append("cpbzr", getCpbzr())
            .append("cpbzrname", getCpbzrname())
            .append("sjkssj", getSjkssj())
            .append("sjwcsj", getSjwcsj())
            .append("avidm", getAvidm())
            .append("lrsj", getLrsj())
            .append("xhzzr", getXhzzr())
            .append("xhzzrname", getXhzzrname())
            .append("csbh", getCsbh())
            .append("ywcs", getYwcs())
            .append("ID", getID())
            .append("PNCode", getPNCode())
            .append("Emergent", getEmergent())
            .append("zrbmGuid", getZrbmGuid())
            .append("businessMan", getBusinessMan())
            .append("auditPrice", getAuditPrice())
            .append("tasktype", getTasktype())
            .append("tasktypes", getTasktypes())
            .append("processPercent", getProcessPercent())
            .append("estimationCoat", getEstimationCoat())
            .append("iflag", getIflag())
            .append("processDate", getProcessDate())
            .append("processUser", getProcessUser())
            .append("refTaskNo", getRefTaskNo())
            .append("warranty", getWarranty())
            .append("warrantyUnit", getWarrantyUnit())
            .append("contractLimit", getContractLimit())
            .append("businessManName", getBusinessManName())
            .append("pccode", getPccode())
            .append("bccode", getBccode())
            .append("blcode", getBlcode())
            .append("gdtext", getGdtext())
            .append("contractsign", getContractsign())
            .append("thirdparty", getThirdparty())
            .append("khkk", getKhkk())
            .append("currenttask", getCurrenttask())
            .append("isunittestproject", getIsunittestproject())
            .append("gkdj", getGkdj())
            .append("zjname", getZjname())
            .append("zhuazhorgidname", getZhuazhorgidname())
            .append("specialtask", getSpecialtask())
            .append("mainprojectno", getMainprojectno())
            .append("htyf", getHtyf())
            .append("isjues", getIsjues())
            .append("projectaccountno", getProjectaccountno())
            .append("projectgatherno", getProjectgatherno())
            .append("jxno", getJxno())
            .append("issendtogongchzhx", getIssendtogongchzhx())
            .append("application", getApplication())
            .append("pay", getPay())
            .append("reviewer", getReviewer())
            .append("softwaretype1", getSoftwaretype1())
            .append("software", getSoftware())
            .append("foreigntrade", getForeigntrade())
            .append("jfqk", getJfqk())
            .append("wzsbno", getWzsbno())
            .append("productspec", getProductspec())
            .append("name", getName())
            .append("briefname", getBriefname())
            .append("processpercent1", getProcesspercent1())
            .append("estimationcoat1", getEstimationcoat1())
            .append("wzjhyname", getWzjhyname())
            .append("warrantybasis", getWarrantybasis())
            .append("costprice", getCostprice())
            .append("isbaox", getIsbaox())
            .append("softwaretype", getSoftwaretype())
            .append("ishavesoftware", getIshavesoftware())
            .append("completeremark", getCompleteremark())
            .append("zj", getZj())
            .append("exampletest", getExampletest())
            .append("taskarea", getTaskarea())
            .append("fundsfrom", getFundsfrom())
            .append("examplequantity", getExamplequantity())
            .append("invoicetype", getInvoicetype())
            .append("cbgcsname", getCbgcsname())
            .append("producttype", getProducttype())
            .append("completeremarkdatetime", getCompleteremarkdatetime())
            .toString();
    }
}
